# Uses of Interface
org.apache.cxf.common.spi.NamespaceClassCreator

Packages that use NamespaceClassCreator
Package
Description
org.apache.cxf.common.spi

- ## Uses of NamespaceClassCreator in org.apache.cxf.common.spi

  Classes in org.apache.cxf.common.spi that implement NamespaceClassCreator
  Modifier and Type
  Class
  Description
  `class`
  `GeneratedNamespaceClassLoader`
  If class has been generated during build time (use @see org.apache.cxf.common.spi.GeneratedClassClassLoaderCapture capture to save bytes) you can set class loader to avoid class generation during runtime: bus.setExtension(new GeneratedNamespaceClassLoader(bus), NamespaceClassCreator.class);
  `class`
  `NamespaceClassGenerator`
  Constructors in org.apache.cxf.common.spi with parameters of type NamespaceClassCreator
  Modifier
  Constructor
  Description
  ``
  `ClassLoaderProxyService(NamespaceClassCreator srv)`